<back to all web services

GetProjectsStatus

The following routes are available for this service:
GET/RestApi/translations/projects/statuses
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class GetProjectsStatus : IProjectsFilter
{
    override var SearchText:String? = null
    override var Service:ArrayList<String>? = null
    override var ProjectStatus:ProjectStatus? = null
    override var ActualSourceLanguage:String? = null
    override var WithoutSourceLanguage:Boolean? = null
}

enum class ProjectStatus
{
    NotStarted,
    Started,
    Completed,
}

Kotlin GetProjectsStatus DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects/statuses HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

[{"Name":"String","Code":"String","Count":0}]